[Overview][Types][Classes][Index] | Reference for unit 'CustomDrawnControls' (#lcl)

# TCDSpinEdit

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: customdrawncontrols.pas line 774

`type TCDSpinEdit = class(TCDEdit)`
`protected`
`procedure DoChange; override;`
`public`
`constructor Create(); override;`
`destructor Destroy; override;`
`published`
`property DecimalPlaces: Byte; [rw]`
`property Increment: Double; [rw]`
`property MinValue: Double; [rw]`
`property MaxValue: Double; [rw]`
`property Value: Double; [rw]`
`end;`

## Inheritance

`TCDSpinEdit`
`TCDEdit` |  |
`TCDControl` |  |
`TCustomControl` |  | The base class for windowed controls which paint themselves.
`TWinControl` |  | Implements a windowed control which can contain other child controls.
`TControl` |  | The base class for visible controls.
`TLCLComponent` |  | The base class for LCL components which have an associated widget.
`TComponent`
?
`TObject`